Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libmtp
Summary:	A software library for MTP media players
Version:	1.0.1
Release:	1
License:	LGPLv2+
URL:		http://libmtp.sourceforge.net/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Source200:	libmtp.perms
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

Requires:	udev
Requires:	pam
Requires:	hal

#Manual build dependencies
BuildRequires:  doxygen

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libusb-devel

%description
This package provides a software library for communicating with MTP
(Media Transfer Protocol) media players, typically audio players, video
players etc.
 
%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:	libusb-devel

%description	devel
Header and include files for developing applications with %{name}.

%package	examples
Summary:	Example programs for libmtp
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	examples
This package provides example programs for communicating with MTP
devices.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
%configure \
--program-prefix=mtp-
make %{?_smp_mflags}
# Remove permissions from symlink in udev script, we use
# PAM to fix the permissions instead.
examples/hotplug -a"SYMLINK+=\"libmtp-%k\"" > libmtp.rules

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# Remove libtool archive remnant
# rm -f $RPM_BUILD_ROOT%{_libdir}/libmtp.la
# Install udev rules file.
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
install -p -m 644 libmtp.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-libmtp.rules
mkdir -p $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop
install -p -m 644 libmtp.fdi $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
# Install device permissions
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.perms.d/
install -p -m 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/security/console.perms.d/60-libmtp.perms
# Copy documentation to a good place
install -p -m 644 AUTHORS ChangeLog COPYING INSTALL README TODO \
$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
# Touch generated files to make them always have the same time stamp.
touch -r configure.ac \
      $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html/* \
      $RPM_BUILD_ROOT%{_includedir}/*.h \
      $RPM_BUILD_ROOT%{_libdir}/pkgconfig/*.pc \
      $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
# Remove the Doxygen HTML documentation, this get different
# each time it is generated and thus creates multiarch conflicts.
# I don't want to pre-generate it but will instead wait for upstream
# to find a suitable solution that will always bring the same files,
# or that Doxygen is fixed not to do this.
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html

# fix symlinks
for i in mtp-delfile mtp-getfile mtp-newfolder mtp-sendfile mtp-sendtr
do
	rm -rf $RPM_BUILD_ROOT%{_bindir}/$i
	ln -sf %{_bindir}/mtp-connect $RPM_BUILD_ROOT%{_bindir}/$i
done

%files
%defattr(-,root,root)
%{_sysconfdir}/security/console.perms.d/60-libmtp.perms
%{_sysconfdir}/udev/rules.d/60-libmtp.rules
%{_libdir}/libmtp.so.*
%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
%{_datadir}/doc/libmtp-%{version}

%files devel
%defattr(-,root,root,-)
%{_includedir}/libmtp.h
%{_libdir}/libmtp.a
%{_libdir}/libmtp.la
%{_libdir}/libmtp.so
%{_pkgconfig}/libmtp.pc

%files examples
%defattr(-,root,root,-)
%{_bindir}/mtp-albumart
%{_bindir}/mtp-albums
%{_bindir}/mtp-connect
%{_bindir}/mtp-detect
%{_bindir}/mtp-emptyfolders
%{_bindir}/mtp-files
%{_bindir}/mtp-folders
%{_bindir}/mtp-format
%{_bindir}/mtp-getplaylist
%{_bindir}/mtp-hotplug
%{_bindir}/mtp-newplaylist
%{_bindir}/mtp-playlists
%{_bindir}/mtp-reset
%{_bindir}/mtp-thumb
%{_bindir}/mtp-tracks
%{_bindir}/mtp-trexist
%{_bindir}/mtp-delfile
%{_bindir}/mtp-getfile
%{_bindir}/mtp-newfolder
%{_bindir}/mtp-sendfile
%{_bindir}/mtp-sendtr

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 26 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-1
- Version update
* Fri Apr 03 2009 Christian Wasem <wasem@ccux-linux.de> 0.3.6-1
- Version update
* Sat Aug 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.3.0-1
- Version update
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.2.6.1-1
- Version update
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 0.2.6-1
- Initial Release
